Package org.firebirdsql.gds.ng.jna

## Class NativeResourceTracker

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.NativeResourceTracker

    public final class NativeResourceTracker
    extends java.lang.Object

Class responsible for tracking loaded native resources for cleanup/disposal on exit.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `shutdownNativeResources()` Disposes native resources (currently: native libraries).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### shutdownNativeResources

    public static void shutdownNativeResources()

Disposes native resources (currently: native libraries).

Calling this method with active native/embedded connections may break those connections and lead to errors.